function setup() {
  createCanvas(windowWidth, windowHeight);
}

function draw() {
  background (255);
  for (let x = 25; x < width; x = x + 50) {
    for (let y = 25; y < height; y = y + 50) {
      
      
        herringBone(x,y,25);
      
      
    }
    
  }
  
}



function herringBone(xVal, yVal, unit) {
	stroke(0);
	strokeWeight(1);

	line(xVal, yVal, xVal - unit, yVal + unit);
	line(xVal, yVal, xVal + unit, yVal + unit);
	line(xVal, yVal - unit, xVal - unit, yVal);
	line(xVal, yVal - unit, xVal + unit, yVal);
	line(xVal, yVal - unit, xVal, yVal + unit);
	line(xVal + unit, yVal - unit, xVal + unit, yVal + unit);
} 
